Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85659 - .org whois lookups config wrong - does not follow redirect
Summary: .org whois lookups config wrong - does not follow redirect
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: jwhois
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 82802
TreeView+ depends on / blocked
 
Reported: 2003-03-05 17:13 UTC by Stephen Samuel
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-04 08:39:05 UTC


Attachments (Terms of Use)
rcs unified (-u) patch for jwhois.conf (deleted)
2003-03-05 17:17 UTC, Stephen Samuel
no flags Details | Diff

Description Stephen Samuel 2003-03-05 17:13:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030218

Description of problem:
jwhois-3.2.1-1

The new jwhois config file is wrong for the .org domain.

the server-options description line has a typo
the whois-redirect line does not take into account the fact
that whois.publicinterestregistry.net outputs in DOS format.
(cr-lf) and the CR character remains on the lines being matched.

fix attached

(see also  Bug# 82802

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.whois reddwarf.org
2.
3.
    

Actual Results:  returns the rwaw whois output from whois.publicinterestregistry.net
Does not follow the redirect

Expected Results:  The registry data from (in this case) whois.gandi.net

Additional info:

patch attached.

Comment 1 Stephen Samuel 2003-03-05 17:17:11 UTC
Created attachment 90479 [details]
rcs unified (-u) patch for jwhois.conf

rcs unified (-u) diff for /etc/jwhois.conf

Comment 2 Florian La Roche 2003-07-04 08:39:05 UTC
This should be fixed in jwhois-3.2.2-1 or newer that should be soon in rawhide.

Thanks for the bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.